Index: trunk/SRC/ReadWrite/ncdf_getaxis.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_getaxis.pro	(revision 223)
+++ trunk/SRC/ReadWrite/ncdf_getaxis.pro	(revision 224)
@@ -25,24 +25,24 @@
 ;
 ; @keyword START1 {default=0}{type=scalar: 0 or 1}
-; Index the axis from 1 instead of 0 when using /xyindex 
-;
-; @keyword XDIRNAME {default='longitude', 'lon', 'x', 'longitude*', 'lon*', 'x*', '*longitude*', '*lon*' or '*x*'}{type=scalar string}
+; Index the axis from 1 instead of 0 when using /xyindex
+;
+; @keyword XDIMNAME {default='longitude', 'lon', 'x', 'longitude*', 'lon*', 'x*', '*longitude*', '*lon*' or '*x*'}{type=scalar string}
 ; A string giving the name of the x dimension
-;      
-; @keyword YDIRNAME {default='latitude', 'lat', 'y', 'latitude*', 'lat*', 'y*', 'eta_*', '*latitude*', '*lat*', '*y*'}{type=scalar string}
+;
+; @keyword YDIMNAME {default='latitude', 'lat', 'y', 'latitude*', 'lat*', 'y*', 'eta_*', '*latitude*', '*lat*', '*y*'}{type=scalar string}
 ; A string giving the name of the y dimension
-;      
+;
 ; @keyword XAXISNAME {default='x', 'longitude', 'nav_lon', 'lon', 'lon_rho' or 'NbLongitudes'}{type=scalar string}
-; A string giving the name of the variable in the file 
-; that contains the [xyz]axis. 
-;      
+; A string giving the name of the variable in the file
+; that contains the [xyz]axis.
+;
 ; @keyword YAXISNAME {default='y', 'latitude', 'nav_lat','lat', 'lat_rho' or 'NbLatitudes'}{type=scalar string}
-; A string giving the name of the variable in the file 
-; that contains the [xyz]axis. 
+; A string giving the name of the variable in the file
+; that contains the [xyz]axis.
 ;
 ; @keyword XYINDEX {default=0}{type=scalar: 0 or 1}
 ; To define the x/y axis with index instead of using
-; the values contained in X/YAXISNAME. 
-; x/yaxis = keyword_set(start1) + findgen(jpi/jpj) 
+; the values contained in X/YAXISNAME.
+; x/yaxis = keyword_set(start1) + findgen(jpi/jpj)
 ;
 ; @keyword XYINDEX {default=0}{type=scalar: 0 or 1}
@@ -72,5 +72,5 @@
   namedim = strarr(inside.ndims)
   for dimiq = 0, inside.ndims-1 do begin
-    ncdf_diminq, cdfid, dimiq, tmpname, value 
+    ncdf_diminq, cdfid, dimiq, tmpname, value
     namedim[dimiq] = strlowcase(tmpname)
   ENDFOR
@@ -89,5 +89,5 @@
                   OR namevar EQ 'nav_lon' OR namevar EQ 'lon' $
                   OR namevar EQ 'lon_rho' OR namevar EQ 'nblongitudes'))[0]
-; no xaxis variable found, we will build a fake xaxis based on the size of the x dimension 
+; no xaxis variable found, we will build a fake xaxis based on the size of the x dimension
 ; -> we must find the x dimension
   IF xvarid EQ -1 THEN BEGIN
@@ -124,6 +124,6 @@
       ENDCASE
     ENDIF
-    romsgrid = 0b   
-  ENDIF ELSE BEGIN 
+    romsgrid = 0b
+  ENDIF ELSE BEGIN
     romsgrid = strmid(namevar[xvarid], 0, 4) EQ 'lon_'
     xinq = ncdf_varinq(cdfid, xvarid)
@@ -135,5 +135,5 @@
     ncdf_diminq, cdfid, dimidx, blabla, jpifromx
 ; should we read or compute the xaxis?
-    IF keyword_set(xyindex) OR xvarid EQ -1 THEN BEGIN 
+    IF keyword_set(xyindex) OR xvarid EQ -1 THEN BEGIN
       xaxis = keyword_set(start1) + findgen(jpifromx)
       xyindex = 1
@@ -143,5 +143,5 @@
 ; make sure of the shape of xaxis
       IF n_elements(jpjfromx) NE 0 THEN xaxis = reform(xaxis, jpifromx, jpjfromx, /over)
-    ENDELSE 
+    ENDELSE
   ENDIF
 
@@ -154,5 +154,5 @@
                   OR namevar EQ 'lat_rho' OR namevar EQ 'nblatitudes'))[0]
   yvarid = yvarid[0]
-; no yaxis variable found, we will build a fake yaxis based on the size of the y dimension 
+; no yaxis variable found, we will build a fake yaxis based on the size of the y dimension
 ; -> we must find the y dimension
   if yvarid EQ -1 then begin
@@ -189,9 +189,9 @@
       ENDCASE
     ENDIF
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     yinq = ncdf_varinq(cdfid, yvarid)
     IF yinq.ndims GE 2 THEN BEGIN
       ncdf_diminq, cdfid, yinq.dim[0], blabla, jpifromy
-      IF jpifromy NE jpifromx THEN BEGIN 
+      IF jpifromy NE jpifromx THEN BEGIN
         dummy = report('x/y axes do not have the same x dimension...')
         stop
@@ -204,11 +204,11 @@
     ncdf_diminq, cdfid, dimidy, blabla, jpjfromy
     IF n_elements(jpjfromx) NE 0 THEN BEGIN
-      IF jpjfromy NE jpjfromx THEN BEGIN 
+      IF jpjfromy NE jpjfromx THEN BEGIN
         dummy = report(' x/y axes do not have the same y dimension...')
         stop
-      ENDIF    
+      ENDIF
     ENDIF
 ; should we read or compute the xaxis?
-    IF keyword_set(xyindex) OR yvarid EQ -1 THEN BEGIN 
+    IF keyword_set(xyindex) OR yvarid EQ -1 THEN BEGIN
       yaxis = keyword_set(start1) + findgen(jpjfromy)
     ENDIF ELSE BEGIN
Index: trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 223)
+++ trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 224)
@@ -5,8 +5,8 @@
 ;
 ; @file_comments
-; Calculate the height by rapport to a reference state for a depth reference. 
-; See keywords for different possibilities. By default, the state reference 
-; is rho=1020 and the depth reference is gdepw[ka] with ka the first W level 
-; directly above 1000 m. 
+; Calculate the height by rapport to a reference state for a depth reference.
+; See keywords for different possibilities. By default, the state reference
+; is rho=1020 and the depth reference is gdepw[ka] with ka the first W level
+; directly above 1000 m.
 ;
 ; @categories
@@ -17,27 +17,28 @@
 ;
 ; @param TABTN {in}{required}
-; array representing the temperature.Has the same size than SN
+; array representing the temperature. Has the same size than SN.
 ;
-; @keyword GILL We activate this key if we want to calculate the dynamic height 
-; like in the GILL page 215, which means by rapport to a reference state which 
-; vary in depth and which is determined by a reference temperature tref at 0°C 
-; and a reference salinity sref at 35psu
+; @keyword GILL 
+; We activate this key if we want to calculate the dynamic height
+; like in the GILL page 215, which means by rapport to a reference state which
+; vary in depth and which is determined by a reference temperature tref at 0°C
+; and a reference salinity sref at 35 psu.
 ;
 ; @keyword LEVEL
-; It is the same reference level to take. This level is defined like 
+; It is the same reference level to take. This level is defined like
 ; that gdepw[level] is the reference depth
+;
+; @keyword SREF
+; Give a value to this keyword to change the reference salinity used in the
+; calculation when GILL is activated.
 ; 
-; @keyword SREF 
-; Give a value to this keyword to change the reference salinity used in the 
-; calculation when GILL  is activated. 
-;   
 ; @keyword TREF
-; Give a value to this keyword to change the reference temperature used in the 
-; calculation when GILL  is activated.
-; 
+; Give a value to this keyword to change the reference temperature used in the
+; calculation when GILL is activated.
+;
 ; @keyword PROFREF
-; Give a depth to this keyword which will be considered as the reference depth 
-; (in this case, LEVEL has not any effect). the calculation will be effectuated 
-; until this depth effecting an interpolation between the the last W level above 
+; Give a depth to this keyword which will be considered as the reference depth
+; (in this case, LEVEL has not any effect). the calculation will be effectuated
+; until this depth effecting an interpolation between the the last W level above
 ; PROFREF and PROFREF.
 ;
@@ -46,16 +47,17 @@
 ;
 ; @returns
-; An array of the same size of sn and tn representing the dynamic height calculated 
+; An array of the same size of sn and tn representing the dynamic height calculated
 ; from a reference depth nd by rapport to a reference state.
 ;
-; @uses 
+; @uses
 ; common.pro
 ;
 ; @restrictions
-; Points for which we can not calculate the dynamic height (whose the batymetry 
+; Points for which we can not calculate the dynamic height (whose the batymetry
 ; is less deep than the reference depth) are put at the value !values.f_nan
 ;
 ; @restrictions
-; approximation: The pressure in decibars is equal to the depth in meters (the pressure increase of 1bar all 10m)
+; approximation: The pressure in decibars is equal to the depth in meters 
+; (the pressure increase of 1 bar every 10 m)
 ;
 ; @history
@@ -69,5 +71,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-FUNCTION hdyn,  tabsn, tabtn, TREF = tref,  SREF = sref, PROFREF = profref, LEVEL = level, GILL = gill, SURFACE_LEVEL = surface_level
+FUNCTION hdyn, tabsn, tabtn, TREF = tref, SREF = sref, PROFREF = profref, LEVEL = level, GILL = gill, SURFACE_LEVEL = surface_level
 ;
   compile_opt idl2, strictarrsubs
@@ -85,6 +87,6 @@
       level = level-1
       za = gdepw[level]
-   ENDIF ELSE BEGIN 
-      if NOT keyword_set(level) then BEGIN 
+   ENDIF ELSE BEGIN
+      if NOT keyword_set(level) then BEGIN
          rien = where(gdepw LE 1000., level)
          level = level-1
@@ -92,14 +94,14 @@
       profref = gdepw[level]
       za = profref
-   ENDELSE 
+   ENDELSE
    tailles = size(tabsn)
    taillet = size(tabtn)
    if total(tailles[0:tailles[0]] NE taillet[0:taillet[0]]) NE 0 then $
-    return,  report('Les tableaux sn et tn doivent avoir la meme taille')
-   if tailles[3] NE jpk then return, report('La dim verticale des tableaux sn et tn doit etre egalre a jpk')
+    return,  report('arrays sn and tn must have the same size')
+   if tailles[3] NE jpk then return, report('vertical dimension of sn and tn arrarrays must be equal to jpk')
    nx = nxt
    ny = nyt
    case (size(tabsn))[0] OF
-      3:BEGIN 
+      3:BEGIN
          case 1 of
             tailles[1] eq jpi and tailles[2] eq jpj: BEGIN
@@ -107,5 +109,5 @@
                tn = tabtn[firstxt:lastxt, firstyt:lastyt, *]
             end
-            tailles[1] eq  nx and tailles[2] eq  ny:BEGIN 
+            tailles[1] eq  nx and tailles[2] eq  ny:BEGIN
                sn = tabsn
                tn = tabtn
@@ -128,5 +130,5 @@
          endcase
       END
-      4:BEGIN 
+      4:BEGIN
          case 1 of
             tailles[1] eq jpi and tailles[2] eq jpj AND tailles[4] EQ jpt: BEGIN
@@ -134,5 +136,5 @@
                tn = tabtn[firstxt:lastxt, firstyt:lastyt, *, *]
             end
-            tailles[1] eq  nx and tailles[2] eq  ny AND tailles[4] EQ jpt:BEGIN 
+            tailles[1] eq  nx and tailles[2] eq  ny AND tailles[4] EQ jpt:BEGIN
                sn = tabsn
                tn = tabtn
@@ -158,9 +160,9 @@
          endcase
       END
-      ELSE: return,  report('cas non code')
+      ELSE: return,  report('not implemented')
    ENDCASE
    varunit = 'cm'
    varname = 'Dynamic Height (href='+strtrim(round(profref), 1)+'m)'
-   IF keyword_set(key_performance) THEN print, 'temps hdyn', systime(1)-tempsun 
+   IF keyword_set(key_performance) THEN print, 'temps hdyn', systime(1)-tempsun
 
    return, hdyn
Index: trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 223)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 224)
@@ -17,5 +17,5 @@
 ; To do not mask land points.
 ;
-; @returns 
+; @returns
 ; 2d array containing depths
 ;
@@ -50,5 +50,5 @@
 ;---------------------------------------------------------------
    taille = size(niveaux)
-   if taille[0] NE 2 then return, report('le champ en entree doit contenir un tableau 2d')
+   if taille[0] NE 2 then return, report('input field must be a 2d array')
    case 1 of
       taille[1] eq jpi and taille[2] eq jpj:niveaux=niveaux[firstx:lastx, firsty:lasty]
@@ -73,5 +73,5 @@
    endif
 ;
-   if keyword_set(key_performance) THEN print, 'temps level2depth', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps level2depth', systime(1)-tempsun
    return, gdep
 end
Index: trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 223)
+++ trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 224)
@@ -71,5 +71,5 @@
    endcase
    case 1 OF
-      taillearray[3] NE jpk:return, report('Le tableau 3d doit avoir sa 3eme dimension egale a jpk')
+      taillearray[3] NE jpk:return, report('2d array must have its 3d dimension equal to jpk')
       taillearray[1] eq jpi and taillearray[2] eq jpj:array=array[firstx:lastx, firsty:lasty, *]
       taillearray[1] eq  nx and taillearray[2] eq  ny:
Index: trunk/SRC/Utilities/createfunc.pro
===================================================================
--- trunk/SRC/Utilities/createfunc.pro	(revision 223)
+++ trunk/SRC/Utilities/createfunc.pro	(revision 224)
@@ -32,8 +32,10 @@
 ; IDL>                          , kwdlist ='two = two', two = 2)
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      May 2005
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 223)
+++ trunk/SRC/Utilities/createpro.pro	(revision 224)
@@ -38,9 +38,11 @@
 ; IDL>   , filename = 'test', kwdlist = ', ok = ok', /ok
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; cleaning + new keywords: October 2005
 ; Feb. 2006: supress keyword "kwdused" and use call_procedure instead of execute
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/def_myuniquetmpdir.pro
===================================================================
--- trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 223)
+++ trunk/SRC/Utilities/def_myuniquetmpdir.pro	(revision 224)
@@ -10,10 +10,13 @@
 ; IDL> def_myuniquetmpdir
 ;
-; @uses cm_general
+; @uses
+; cm_general
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Utilities/demomode_compatibility.pro
===================================================================
--- trunk/SRC/Utilities/demomode_compatibility.pro	(revision 223)
+++ trunk/SRC/Utilities/demomode_compatibility.pro	(revision 224)
@@ -1,6 +1,11 @@
 ;+
-; @categories Utilities
-; @uses cm_general
-; @version $Id$
+; @categories
+; Utilities
+;
+; @uses
+; cm_general
+;
+; @version
+; $Id$
 ;-
 PRO demomode_compatibility
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 223)
+++ trunk/SRC/Utilities/find.pro	(revision 224)
@@ -11,5 +11,6 @@
 ; all file_search keywords can be used.
 ;
-; @categories find a file
+; @categories 
+; find a file
 ;
 ; @param FILEIN {in}{required} 
@@ -99,10 +100,12 @@
 ;   /usr/local/rsi/idl_6.0/lib/mesh_obj.pro
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       28/4/1999
 ;                       6/7/1999: compatibility mac and windows
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/fitintobox.pro
===================================================================
--- trunk/SRC/Utilities/fitintobox.pro	(revision 223)
+++ trunk/SRC/Utilities/fitintobox.pro	(revision 224)
@@ -4,14 +4,14 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Check that the input array has size and dimensions
 ; compatible with the domain that was defined with the previous call
 ; of domdef.
 ;
-; @categories 
+; @categories
 ; Compatibility
-; 
-; @param sz {in}{required} 
-; 
+;
+; @param sz {in}{required}
+;
 ; @param nx {in}{required}
 ;
@@ -25,14 +25,17 @@
 ;
 ; @param jpk {in}{required}
-; 
+;
 ; @param jpt {in}{required}
 ;
-; @returns -1
-;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @returns
+; -1
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;          10 juin 2000.
 ;          June 2005: S. Masson rewrite all.
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ; @hidden
@@ -57,5 +60,5 @@
   RETURN, report(['Error: ' $
                   , 'the array dimensions ' + tostr(sz) + ' are incompatible' $
-                  , 'with the the domain dimensions ' $                
+                  , 'with the the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
@@ -67,11 +70,11 @@
 ;+
 ;
-; @categories 
+; @categories
 ; Compatibility
 ;
 ; @param field {in}{required}{type=array or struct}
-; an array or a structure that can be read by the function                
+; an array or a structure that can be read by the function
 ; litchamp.pro
-; 
+;
 ; @param nx {in}{optional}{default=define by grille.pro}
 ;
@@ -92,8 +95,8 @@
 ; @param lastz {in}{optional}{default=define by grille.pro}
 ;
-; @keyword WDEPTH 
+; @keyword WDEPTH
 ; To specify that we are at W level
 ;
-; @returns 
+; @returns
 ; an array with dimensions matching the domain
 ; or -1 if there is an error...
@@ -102,19 +105,21 @@
 ; @uses cm_4cal
 ;
-; @examples 
+; @examples
 ; IDL> help, fitintobox(findgen(jpi,jpj))
 ; <Expression>    FLOAT     = Array[41, 3]
 ; IDL> help, fitintobox(findgen(jpi,jpj,78))
-; Error: 
+; Error:
 ; the array dimensions [180,148,78] are incompatible
-; with the the domain dimensions 
+; with the the domain dimensions
 ; [jpi/nx, jpj/ny, jpk/nz, jpt] = [180/41, 148/3, 31/31, 1]
 ; <Expression>    INT       =       -1
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;          10 juin 2000.
 ;          June 2005: S. Masson rewrite all.
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
@@ -152,15 +157,15 @@
       CASE 1 OF
 ; x arrays
-        sz[1] EQ jpi                                                   :arr = (temporary(arr))[firstx:lastx                               ] 
-        sz[1] EQ  nx                                                   :                                                      
+        sz[1] EQ jpi                                                   :arr = (temporary(arr))[firstx:lastx                               ]
+        sz[1] EQ  nx                                                   :
 ; y arrays
-        sz[1] EQ jpj                                                   :arr = (temporary(arr))[              firsty:lasty                 ] 
-        sz[1] EQ  ny                                                   :                                                      
+        sz[1] EQ jpj                                                   :arr = (temporary(arr))[              firsty:lasty                 ]
+        sz[1] EQ  ny                                                   :
 ; z arrays
-        sz[1] EQ jpk                                                   :arr = (temporary(arr))[                            firstz:lastz   ] 
-        sz[1] EQ  nz                                                   :                                                      
+        sz[1] EQ jpk                                                   :arr = (temporary(arr))[                            firstz:lastz   ]
+        sz[1] EQ  nz                                                   :
 ; t arrays
         sz[1] EQ jpt                                                   :
-        ELSE:return, err_mess(sz[1], jpi, nx, jpj, ny, jpk, nz, jpt) 
+        ELSE:return, err_mess(sz[1], jpi, nx, jpj, ny, jpk, nz, jpt)
       ENDCASE
     END
@@ -170,20 +175,20 @@
       CASE 1 OF
 ; xy arrays
-        sz[1] EQ jpi AND sz[2] EQ jpj                                  :arr = (temporary(arr))[firstx:lastx, firsty:lasty                 ] 
+        sz[1] EQ jpi AND sz[2] EQ jpj                                  :arr = (temporary(arr))[firstx:lastx, firsty:lasty                 ]
         sz[1] EQ jpi AND sz[2] EQ  ny                                  :arr = (temporary(arr))[firstx:lastx,            *                 ]
         sz[1] EQ  nx AND sz[2] EQ jpj                                  :arr = (temporary(arr))[           *, firsty:lasty                 ]
         sz[1] EQ  nx AND sz[2] EQ  ny                                  :arr = (temporary(arr))[           *,            *                 ]
 ; x(y)z arrays
-        sz[1] EQ jpi AND ny EQ 1      AND sz[2] EQ jpk                 :arr = (temporary(arr))[firstx:lastx, firstz:lastz   ] 
+        sz[1] EQ jpi AND ny EQ 1      AND sz[2] EQ jpk                 :arr = (temporary(arr))[firstx:lastx, firstz:lastz   ]
         sz[1] EQ jpi AND ny EQ 1      AND sz[2] EQ  nz                 :arr = (temporary(arr))[firstx:lastx,            *   ]
         sz[1] EQ  nx AND ny EQ 1      AND sz[2] EQ jpk                 :arr = (temporary(arr))[           *, firstz:lastz   ]
         sz[1] EQ  nx AND ny EQ 1      AND sz[2] EQ  nz                 :
 ; (x)yz arrays
-        nx EQ 1      AND sz[1] EQ jpj AND sz[2] EQ jpk                 :arr = (temporary(arr))[              firsty:lasty, firstz:lastz   ] 
+        nx EQ 1      AND sz[1] EQ jpj AND sz[2] EQ jpk                 :arr = (temporary(arr))[              firsty:lasty, firstz:lastz   ]
         nx EQ 1      AND sz[1] EQ jpj AND sz[2] EQ  nz                 :arr = (temporary(arr))[              firsty:lasty,            *   ]
         nx EQ 1      AND sz[1] EQ  ny AND sz[2] EQ jpk                 :arr = (temporary(arr))[                         *, firstz:lastz   ]
         nx EQ 1      AND sz[1] EQ  ny AND sz[2] EQ  nz                 :
 ; xt arrays
-        sz[1] EQ jpi                                   AND sz[2] EQ jpt:arr = (temporary(arr))[firstx:lastx                            , *] 
+        sz[1] EQ jpi                                   AND sz[2] EQ jpt:arr = (temporary(arr))[firstx:lastx                            , *]
         sz[1] EQ  nx                                   AND sz[2] EQ jpt:
 ; yt arrays
@@ -191,5 +196,5 @@
                          sz[1] EQ  ny                  AND sz[2] EQ jpt:
 ; zt arrays
-                                          sz[1] EQ jpk AND sz[2] EQ jpt:arr = (temporary(arr))[                            firstz:lastz, *] 
+                                          sz[1] EQ jpk AND sz[2] EQ jpt:arr = (temporary(arr))[                            firstz:lastz, *]
                                           sz[1] EQ  nz AND sz[2] EQ jpt:
         ELSE:return, err_mess(sz[1:2], jpi, nx, jpj, ny, jpk, nz, jpt)
@@ -201,24 +206,24 @@
       CASE 1 OF
 ; xyz arrays
-        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ jpk                 :arr = (temporary(arr))[firstx:lastx, firsty:lasty, firstz:lastz   ] 
+        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ jpk                 :arr = (temporary(arr))[firstx:lastx, firsty:lasty, firstz:lastz   ]
         sz[1] EQ jpi AND sz[2] EQ  ny AND sz[3] EQ jpk                 :arr = (temporary(arr))[firstx:lastx,            *, firstz:lastz   ]
         sz[1] EQ  nx AND sz[2] EQ jpj AND sz[3] EQ jpk                 :arr = (temporary(arr))[           *, firsty:lasty, firstz:lastz   ]
         sz[1] EQ  nx AND sz[2] EQ  ny AND sz[3] EQ jpk                 :arr = (temporary(arr))[           *,            *, firstz:lastz   ]
-        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ  nz                 :arr = (temporary(arr))[firstx:lastx, firsty:lasty,            *   ] 
+        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ  nz                 :arr = (temporary(arr))[firstx:lastx, firsty:lasty,            *   ]
         sz[1] EQ jpi AND sz[2] EQ  ny AND sz[3] EQ  nz                 :arr = (temporary(arr))[firstx:lastx,            *,            *   ]
         sz[1] EQ  nx AND sz[2] EQ jpj AND sz[3] EQ  nz                 :arr = (temporary(arr))[           *, firsty:lasty,            *   ]
         sz[1] EQ  nx AND sz[2] EQ  ny AND sz[3] EQ  nz                 :
 ; xyt arrays
-        sz[1] EQ jpi AND sz[2] EQ jpj                  AND sz[3] EQ jpt:arr = (temporary(arr))[firstx:lastx, firsty:lasty,               *] 
+        sz[1] EQ jpi AND sz[2] EQ jpj                  AND sz[3] EQ jpt:arr = (temporary(arr))[firstx:lastx, firsty:lasty,               *]
         sz[1] EQ jpi AND sz[2] EQ  ny                  AND sz[3] EQ jpt:arr = (temporary(arr))[firstx:lastx,            *,               *]
         sz[1] EQ  nx AND sz[2] EQ jpj                  AND sz[3] EQ jpt:arr = (temporary(arr))[           *, firsty:lasty,               *]
         sz[1] EQ  nx AND sz[2] EQ  ny                  AND sz[3] EQ jpt:
 ; (x)yzt arrays
-        nx EQ 1      AND sz[1] EQ jpj AND sz[2] EQ jpk AND sz[3] EQ jpt:arr = (temporary(arr))[              firsty:lasty, firstz:lastz, *] 
+        nx EQ 1      AND sz[1] EQ jpj AND sz[2] EQ jpk AND sz[3] EQ jpt:arr = (temporary(arr))[              firsty:lasty, firstz:lastz, *]
         nx EQ 1      AND sz[1] EQ jpj AND sz[2] EQ  nz AND sz[3] EQ jpt:arr = (temporary(arr))[              firsty:lasty,            *, *]
         nx EQ 1      AND sz[1] EQ  ny AND sz[2] EQ jpk AND sz[3] EQ jpt:arr = (temporary(arr))[                         *, firstz:lastz, *]
         nx EQ 1      AND sz[1] EQ  ny AND sz[2] EQ  nz AND sz[3] EQ jpt:
 ; x(y)zt arrays
-        sz[1] EQ jpi AND ny EQ 1      AND sz[2] EQ jpk AND sz[3] EQ jpt:arr = (temporary(arr))[firstx:lastx,               firstz:lastz, *] 
+        sz[1] EQ jpi AND ny EQ 1      AND sz[2] EQ jpk AND sz[3] EQ jpt:arr = (temporary(arr))[firstx:lastx,               firstz:lastz, *]
         sz[1] EQ jpi AND ny EQ 1      AND sz[2] EQ  nz AND sz[3] EQ jpt:arr = (temporary(arr))[firstx:lastx,                          *, *]
         sz[1] EQ  nx AND ny EQ 1      AND sz[2] EQ jpk AND sz[3] EQ jpt:arr = (temporary(arr))[           *,               firstz:lastz, *]
@@ -232,9 +237,9 @@
       CASE 1 OF
 ; xyzt arrays
-        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ jpk AND sz[4] EQ jpt:arr = (temporary(arr))[firstx:lastx, firsty:lasty, firstz:lastz, *] 
+        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ jpk AND sz[4] EQ jpt:arr = (temporary(arr))[firstx:lastx, firsty:lasty, firstz:lastz, *]
         sz[1] EQ jpi AND sz[2] EQ  ny AND sz[3] EQ jpk AND sz[4] EQ jpt:arr = (temporary(arr))[firstx:lastx,            *, firstz:lastz, *]
         sz[1] EQ  nx AND sz[2] EQ jpj AND sz[3] EQ jpk AND sz[4] EQ jpt:arr = (temporary(arr))[           *, firsty:lasty, firstz:lastz, *]
         sz[1] EQ  nx AND sz[2] EQ  ny AND sz[3] EQ jpk AND sz[4] EQ jpt:arr = (temporary(arr))[           *,            *, firstz:lastz, *]
-        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ  nz AND sz[4] EQ jpt:arr = (temporary(arr))[firstx:lastx, firsty:lasty,            *, *] 
+        sz[1] EQ jpi AND sz[2] EQ jpj AND sz[3] EQ  nz AND sz[4] EQ jpt:arr = (temporary(arr))[firstx:lastx, firsty:lasty,            *, *]
         sz[1] EQ jpi AND sz[2] EQ  ny AND sz[3] EQ  nz AND sz[4] EQ jpt:arr = (temporary(arr))[firstx:lastx,            *,            *, *]
         sz[1] EQ  nx AND sz[2] EQ jpj AND sz[3] EQ  nz AND sz[4] EQ jpt:arr = (temporary(arr))[           *, firsty:lasty,            *, *]
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 223)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 224)
@@ -7,24 +7,24 @@
 ; with the directory separator mark.
 ;
-; @categories io
+; @categories
+; io
 ;
-; @param DIRECTORYIN {in}{optional} 
+; @param DIRECTORYIN {in}{optional}
 ; a proposed directory. If neither dirname
 ; input parameter of IODIRECTORY keyword are defined,
 ; the ask the user to choose a directory.
 ;
-; @keyword IODIRECTORY 
+; @keyword IODIRECTORY
 ; a proposed directory
 ;
-; @keyword TITLE 
+; @keyword TITLE
 ; the title of the window
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keywords
 ;
-; @file_comments 
 ; all dialog_pickfile keywords (like filter) can be used.
 ;
-; @returns 
+; @returns
 ; the directory name
 ;
@@ -37,9 +37,11 @@
 ; IDL> print, isadirectory(!dir+'notgood')
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 28, 2000
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 223)
+++ trunk/SRC/Utilities/isafile.pro	(revision 224)
@@ -9,38 +9,37 @@
 ; @categories io
 ;
-; @param FILEIN {in}{optional} 
-; a proposed name. If neither filein input parameter of filename keyword are 
+; @param FILEIN {in}{optional}
+; a proposed name. If neither filein input parameter of filename keyword are
 ; defined, the ask the user to choose a file.
 ;
-; @keyword FILENAME 
+; @keyword FILENAME
 ; a proposed filename.
 ;
-; @keyword IODIRECTORY 
+; @keyword IODIRECTORY
 ; a directory where we look for the file. this
 ; keyword is taken into account only if the dirname
 ; of filein or filename is '.'
 ;
-; @keyword NEW 
-; to specify that filename is a new file and that we should check only its 
+; @keyword NEW
+; to specify that filename is a new file and that we should check only its
 ; path
 ;
-; @keyword ONLYPRO 
+; @keyword ONLYPRO
 ; force to look only at file ending with .pro
 ;
-; @keyword ONLYNC 
+; @keyword ONLYNC
 ; force to look only at file ending with .nc
 ;
-; @keyword RECURSIVE 
+; @keyword RECURSIVE
 ; performs recursive searching of directory hierarchies.
 ; In a recursive search, find looks recursively for any and all
 ; subdirectories in the file hierarchy rooted at the IODIRECTORY argument.
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keywords
 ;
-; @file_comments 
 ; all find, file_search and dialog_pickfile keywords (like title) can be used
 ;
-; @returns 
+; @returns
 ; the filename with its path
 ;
@@ -59,9 +58,11 @@
 ; IDL> print, isafile('fake_file.pro')
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      11/2/2000
 ; June 2005: Sebastien Masson: cleaning, use for file_* functions
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/linearequation.pro
===================================================================
--- trunk/SRC/Utilities/linearequation.pro	(revision 223)
+++ trunk/SRC/Utilities/linearequation.pro	(revision 224)
@@ -4,17 +4,17 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Calculate a linear equation of the type ax+by+c=0
 ; thanks to coordinates of 2 points.
 ; comment: we can have a table with pairs of points.
 ;
-; @categories 
- ;Utilities
-; 
-; @param POINT1 {in}{required} 
-; This is the first point of(the) straight line(s) whose we want to calculate 
+; @categories
+; Utilities
+;
+; @param POINT1 {in}{required}
+; This is the first point of(the) straight line(s) whose we want to calculate
 ; equation(s)
 ;
-; @param POINT2 {in}{required} 
+; @param POINT2 {in}{required}
 ; This is the second point of(the) straight line(s) whose we want to calculate
 ; equation(s)
@@ -25,18 +25,20 @@
 ;         For each row of the table, we have coordinates of the point.
 ;
-; @returns 
-; abc is a table of dimension 3, number_of_straight_line, 
+; @returns
+; abc is a table of dimension 3, number_of_straight_line,
 ; where for each line of the table we obtain the 3 parameters
 ; a, b and c of the linear equation ax+by+c=0
 ;
-; @examples 
+; @examples
 ; IDL> abc=linearequation(complex(1,2),[3,4])
 ; IDL> print, abc[0]*1+abc[1]*2+abc[2]
 ; 0.00000
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;          10 juin 2000
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -67,9 +69,9 @@
    vertical = where(x1 EQ x2)
    novertical = where(x1 NE x2)
-   abc = fltarr(3, n_elements(x1)) 
+   abc = fltarr(3, n_elements(x1))
 
    IF novertical[0] NE -1 then BEGIN
 ; y=mx+p
-      nele = n_elements(novertical) 
+      nele = n_elements(novertical)
       m = (y2[novertical]-y1[novertical])/(x2[novertical]-x1[novertical])
       p = (x2[novertical]*y1[novertical]-y2[novertical]*x1[novertical])/(x2[novertical]-x1[novertical])
@@ -78,5 +80,5 @@
    IF vertical[0] NE -1 then BEGIN
 ; x=ny+p
-      nele = n_elements(vertical) 
+      nele = n_elements(vertical)
       n = (x2[vertical]-x1[vertical])/(y2[vertical]-y1[vertical])
       p = (y2[vertical]*x1[vertical]-x2[vertical]*y1[vertical])/(y2[vertical]-y1[vertical])
Index: trunk/SRC/Utilities/lineintersection.pro
===================================================================
--- trunk/SRC/Utilities/lineintersection.pro	(revision 223)
+++ trunk/SRC/Utilities/lineintersection.pro	(revision 224)
@@ -4,43 +4,42 @@
 ;+
 ;
-; @file_comments 
-; Calculate coordinates of the intersection between 2 straight lines 
+; @file_comments
+; Calculate coordinates of the intersection between 2 straight lines
 ; or of a succession of 2 straight lines.
 ;
-; @categories 
+; @categories
 ; Utilities
-; 
+;
 ; @param ABC1 {in}{required}{type=3d array}
-; is the first array of dimension 3, number_of_pairs_of_straight_lines, 
-; whose each line contain the 3 parameters a,b and c of the first linear 
+; is the first array of dimension 3, number_of_pairs_of_straight_lines,
+; whose each line contain the 3 parameters a,b and c of the first linear
 ; equation of the type ax+by+c=0
 ;
 ; @param ABC2 {in}{required}{type=3d array}
-; is second array of dimension 3, number_of_pairs_of_straight_lines, 
-; whose each line contain the 3 parameters a,b and c of the second linear 
+; is second array of dimension 3, number_of_pairs_of_straight_lines,
+; whose each line contain the 3 parameters a,b and c of the second linear
 ; equation of the type ax+by+c=0
 ;
-; @keyword FLOAT 
-; To return the output as a array of real numbers instead of vectors of 
+; @keyword FLOAT
+; To return the output as a array of real numbers instead of vectors of
 ; complex (by default)
 ;
-; @returns 
+; @returns
 ; 2 possibilities:
-;      1) by default: it is a vector of complex whose each element is the coordinates 
+;      1) by default: it is a vector of complex whose each element is the coordinates
 ;                     of the intersection point of a pair of straight lines.
-;      2) if FLOAT is activated, it is a array of reels of dimension 2, 
-;         number_of_pairs_of_straight_lines whose each row is the coordinates 
+;      2) if FLOAT is activated, it is a array of reels of dimension 2,
+;         number_of_pairs_of_straight_lines whose each row is the coordinates
 ;         of the intersection point of a pair of straight line.
 ;
-; @restrictions 
-; If the 2 straight line are parallel, we return coordinates 
+; @restrictions
+; If the 2 straight line are parallel, we return coordinates
 ; (!values.f_nan,!values.f_nan)
 ;
-; @restrictions 
-; Beware of the precision of the machine which make 
-; that calculated coordinates may not exactly verify 
+; Beware of the precision of the machine which make
+; that calculated coordinates may not exactly verify
 ; equations of the pair of straight lines.
 ;
-; @examples 
+; @examples
 ; IDL> abc1=linearequation(complex(1,2),[3,4])
 ; IDL> abc2=linearequation(complex(1,2),[8,15])
@@ -50,8 +49,10 @@
 ; 1.00000      2.00000
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;          10 juin 2000
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -79,5 +80,5 @@
 ;
    if keyword_set(float) then begin
-      npts = n_elements(x) 
+      npts = n_elements(x)
       res = [reform(x, 1, npts, /over), reform(y, 1, npts, /over)]
    ENDIF ELSE res = complex(x, y)
Index: trunk/SRC/Utilities/mergeonline_help.pro
===================================================================
--- trunk/SRC/Utilities/mergeonline_help.pro	(revision 223)
+++ trunk/SRC/Utilities/mergeonline_help.pro	(revision 224)
@@ -7,5 +7,5 @@
 ;
 ; @restrictions
-; Needs at least version 6.2 
+; Needs at least version 6.2
 ;
 ; @history
@@ -26,5 +26,5 @@
   ENDIF
 ;---------------------------------------------------------------
-; check directories 
+; check directories
 ;---------------------------------------------------------------
 ; get the environment variable $HOME
@@ -60,5 +60,5 @@
   ENDIF
 ;---------------------------------------------------------------
-; check existance and version of the file that need to be created
+; check existence and version of the file that need to be created
 ;---------------------------------------------------------------
 
@@ -79,5 +79,5 @@
       IF line NE -1 THEN BEGIN
         old = saxoadp[line]
-; are the 2 revision tags the same??
+; are the 2 revision tags the same ?
         IF array_equal(old, new) THEN BEGIN
 ; is IDL version the same of homesrc + 'home.html' ?
@@ -164,5 +164,5 @@
 ; add some informattions:
   about = [about, '', 'More informations on', 'http://forge.ipsl.jussieu.fr/saxo', '']
-; 
+;
   putfile, homesrc + 'aboutsaxo.txt', temporary(about)
 ;---------------------------------------------------------------
Index: trunk/SRC/Utilities/protype.pro
===================================================================
--- trunk/SRC/Utilities/protype.pro	(revision 223)
+++ trunk/SRC/Utilities/protype.pro	(revision 224)
@@ -29,8 +29,10 @@
 ;      proc
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       Feb 2006
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Utilities/pwd.pro
===================================================================
--- trunk/SRC/Utilities/pwd.pro	(revision 223)
+++ trunk/SRC/Utilities/pwd.pro	(revision 224)
@@ -4,12 +4,15 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; print the current directory
 ;
-; @categories like unix function
-; 
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @categories
+; like unix function
 ;
-; @version $Id$
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 223)
+++ trunk/SRC/Utilities/report.pro	(revision 224)
@@ -4,10 +4,10 @@
 ;+
 ;
-; @file_comments 
-; Like dialog_message.pro if there is already some widget 
-; active or like message.pro if there is not any widget active. 
+; @file_comments
+; Like dialog_message.pro if there is already some widget
+; active or like message.pro if there is not any widget active.
 ; To ask a question whose answer is not yes/no,use xquestion.
 ;
-; @param TEXT {in}{required} 
+; @param TEXT {in}{required}
 ; one string or one vector of string. Si le string ne
 ; comporte qu''un element, on cherche les eventuels characteres de
@@ -15,12 +15,12 @@
 ; array element is displayed as a separate line of text.
 ;
-; @keyword SIMPLE 
+; @keyword SIMPLE
 ; activate to print only the message without the name
 ; and the line of the routine (defined by calling routine_name)
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass keywords from dialog_message.pro and message.pro
 ;
-; @keyword PARENT 
+; @keyword PARENT
 ; same as DIALOG_PARENT de dialog_message.pro
 ;
@@ -29,16 +29,16 @@
 ;
 ; @keyword DEFAULT_NO {default="Yes"}
-; Set this keyword to make the "No" button the default selection for 
-; "Question" dialog. 
+; Set this keyword to make the "No" button the default selection for
+; "Question" dialog.
 ;
-; @keyword SIMPLE 
-; Activate to print the error message without printing  the routine name with 
+; @keyword SIMPLE
+; Activate to print the error message without printing the routine name with
 ; its full path.
 ;
-; @returns 
+; @returns
 ; -1 if the keyword QUESTION is not activated
 ; If the keyword is activated, return 1 for yes and 0 for no.
-; 
-; @examples 
+;
+; @examples
 ; If there is not any widget activated:
 ;
@@ -56,8 +56,10 @@
 ; If widgets are already activated, it is the same thing but with widgets!
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      21/10/1999
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -85,5 +87,5 @@
          default_answer = answer
          if n_elements(text) GT 1 THEN $
-          for i = 0, n_elements(text)-2 do print,text[i] 
+          for i = 0, n_elements(text)-2 do print,text[i]
          read, text[n_elements(text)-1]+' y/n (default answer is '+default_answer+')' , answer
          answer = strlowcase(answer) ;
@@ -103,5 +105,5 @@
         IF keyword_set(simple) THEN prefix = '' ELSE prefix = '% '+routine_name(1)+': '
          if n_elements(text) GT 1 THEN $
-          for i = 0, n_elements(text)-2 do print, prefix+text[i] 
+          for i = 0, n_elements(text)-2 do print, prefix+text[i]
          print, prefix+text[n_elements(text)-1]
       ENDELSE
Index: trunk/SRC/Utilities/routine_name.pro
===================================================================
--- trunk/SRC/Utilities/routine_name.pro	(revision 223)
+++ trunk/SRC/Utilities/routine_name.pro	(revision 224)
@@ -7,5 +7,5 @@
 ; Give us the name of the routine (procedure or function) where we are.
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
@@ -35,8 +35,10 @@
 ;  $MAIN$
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      21/10/1999
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Utilities/testvar.pro
===================================================================
--- trunk/SRC/Utilities/testvar.pro	(revision 223)
+++ trunk/SRC/Utilities/testvar.pro	(revision 224)
@@ -4,17 +4,17 @@
 ;+
 ;
-; @file_comments 
-; A kind of keyword_set but when the value exist, it send it back
+; @file_comments
+; A kind of keyword_set but when the value exist, it send it back.
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
-; @keyword VAR 
+; @keyword VAR
 ; any kind of
 ;
-; @returns 
-; 0 if the variable does not exist 
+; @returns
+; 0 if the variable does not exist
 ;
-; @examples 
+; @examples
 ; IDL> print, testvar(var=toto)
 ; 0
@@ -22,8 +22,10 @@
 ; toto
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      14/12/1999
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Utilities/text_box.pro
===================================================================
--- trunk/SRC/Utilities/text_box.pro	(revision 223)
+++ trunk/SRC/Utilities/text_box.pro	(revision 224)
@@ -1,14 +1,14 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; This procedure writes a short text message within a box-shaped
 ; area in a graphics window.  The message may be split at word
 ; boundaries into several lines, and the character size and
 ; orientation may be adjusted for the text to fit within the box.
-;   
-; @param TEXT {in}{required} 
+;
+; @param TEXT {in}{required}
 ; ASCII text string containing the message.
 ;
-; @keyword POS  
+; @keyword POS
 ; 4 element vector specifying the box position and size
 ; pos[0],pos[1] specify the lower left corner coordinate
@@ -19,15 +19,15 @@
 ; color of box and legend titles
 ;
-; @keyword BG_COLOR 
-; background color. Setting BG_COLOR erases the area 
+; @keyword BG_COLOR
+; background color. Setting BG_COLOR erases the area
 ;               covered by the text box (filling it with color BG_COLOR)
 ;               prior to writing the text.  If both BG_COLOR and !p.color
 ;               are zero then the background color is reset to 255 to
 ;               gaurantee a readability.
-;               
-; @keyword RIGHT 
+;
+; @keyword RIGHT
 ; if set, right justify text
 ;
-; @keyword CENTER 
+; @keyword CENTER
 ; if set, center the text
 ;
@@ -35,15 +35,17 @@
 ; vertical spacing of lines in units of character height
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keyword
 ;
-; @keyword BOX 
+; @keyword BOX
 ; activate to show the box on graphics window.
 ;
-; @history  Paul Ricchiazzi                            7Jul93
+; @history
+; Paul Ricchiazzi                            7Jul93
 ;           Institute for Computational Earth System Science
 ;           University of California, Santa Barbara
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -80,7 +82,7 @@
   print,strcompress(posstring,/remove_all)
 
-   
+
 endif else begin
-  
+
   xx1 = nnx[0]+pos[0]*(nnx[1]-nnx[0])
   xx2 = nnx[0]+pos[2]*(nnx[1]-nnx[0])
@@ -103,5 +105,5 @@
   blanklen=lenstr(' ')*!d.x_vsize
   maxcharsize=(xx2-xx1)/(4*blanklen+max(wordlen))
-  charsize=1  
+  charsize=1
   lpnt=intarr(nwords)
   nomore=0
@@ -123,9 +125,9 @@
         sum=wlen[i]+blen
       endif
-      lpnt[i]=ilines        
-      
+      lpnt[i]=ilines
+
 ;      print,f='(f8.2,4i8,3f8.2)',charsize,i,ilines,n_lines,lpnt[i],$
 ;                 wlen[i]+blen,sum+3*blen,xx2-xx1
-    endfor        
+    endfor
     case 1 of
       ilines+1 lt n_lines: if charsize*1.1 gt maxcharsize then $
@@ -135,5 +137,5 @@
       ilines+1 gt n_lines: charsize=charsize*.9
     endcase
-endrep until nomore 
+endrep until nomore
 
 lines=strarr(n_lines)
@@ -150,5 +152,5 @@
 ;
   align=.5*(1+justify)
-  
+
   case justify of
     -1:xx = xx1+.5*((xx2-xx1)-maxlen)
Index: trunk/SRC/Utilities/undefine.pro
===================================================================
--- trunk/SRC/Utilities/undefine.pro	(revision 223)
+++ trunk/SRC/Utilities/undefine.pro	(revision 224)
@@ -4,13 +4,13 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; erase a variable
-; same thing that delvar but usable in a program and usable 
+; same thing that delvar but usable in a program and usable
 ; for one variable simultaneously
 ;
-; @categories 
-; Utilities  
-; 
-; @param VARNAME {in}{required} 
+; @categories
+; Utilities
+;
+; @param VARNAME {in}{required}
 ; The name of the variable we want erase
 ;
@@ -22,7 +22,8 @@
 ; A               UNDEFINED = <Undefined>
 ;
-; @history trouve sur la page web de D.Fanning 
+; @history
+; trouve sur la page web de D.Fanning
 ; http://www.dfanning.com :
-;QUESTION: How do I make an IDL variable have a type "undefined"? 
+;QUESTION: How do I make an IDL variable have a type "undefined"?
 ;ANSWER: At the main IDL level you can use the IDL procedure DELVAR to
 ;delete an IDL variable and make it undefined. Inside of procedures
@@ -31,5 +32,6 @@
 ;Adelaide, Australia.
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -37,5 +39,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-   PRO undefine, varname  
+   PRO undefine, varname
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 223)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 224)
@@ -92,5 +92,5 @@
       endwhile
       if i EQ 0 then $
-         ras = report('le programme a etait mal ecrit, il n''y a pas d''en-tete... utiliser xfile.pro.') ELSE BEGIN
+         ras = report('file is badly written, no header ... Use xfile') ELSE BEGIN
          a = a[0:i-1]
 ; we wrote the a's content in a widget
@@ -98,5 +98,5 @@
       ENDELSE
       FREE_LUN, unit         ;free the file unit.
-   ENDIF ELSE ras = report('le fichier demande n''existe pas...')
+   ENDIF ELSE ras = report('file does not exist ...')
 
    return
